#ifndef SKIN_H
#define SKIN_H

#include <QObject>

class Skin : public QObject
{
    Q_OBJECT
private:
    explicit Skin(QObject *parent = nullptr);

public:
    static Skin* getInstance() {
        static Skin instance;
        return &instance;
    }

    QString getSkinFile();
    QString getSkinName();
    void loadSkin();
    void findSkins();
    void replaceSkin(QString name);

signals:

public slots:
};

#endif // SKIN_H
